

package gov.va.med.cds.response;


import java.util.List;

import org.dom4j.Document;
import org.dom4j.Element;


public interface WriteResponseGeneratorInterface
{
    Document generateSuccessfulWriteResponse( String templateId, String requestId, List<Element> createdIdentifiers );


    Element generateIdentifierElement( String recordIdentifier, Element clinicalData );


    Document generateWriteErrorResponse( String templateId, String requestId, Exception exception, Document clinicalDataDocument,
                    String applicationName );

}
